# Create Connector Authentication

To integrate Connector authentication in your own SaaS product as part of a multi-tenant flow, follow the below steps.

## Create authentication <a href="#update-authentication" id="update-authentication"></a>

POST <https://api.locoia.com/v1/connector-auths>

```javascript
{
  "connector_id": "some uuid4 of the corresponding connector",
  "name": "Test Name",
  "auth_type": "username_password",
  "auth_token": "",
  "auth_details": "",
  "api_endpoint": "sftp://user:password@server_ip/path",
  "user_input": {},
  "username": "user123",
  "password": "password123",
  "tags": [
    "Example Tag",
    "Customer XYZ"
  ]
}
```

The uuid4 can be received by  making a GET against the connector /v1/connectors?filter=name,like,%22%25ft%25%22 where \`ftp\` is the connector name.

To use this authentication in a white label flow, pass it's uuid4 you receive in the response as part of the query string. So ideally, after creating, you store it on your customer's account or company object in order to use it for all automation flows.

## Update authentication <a href="#update-authentication" id="update-authentication"></a>

To update, PUT /v1/connector-auths/\*\*uuid4\*\*

```javascript
{
  "connector_id":"some uuid4 of the corresponding connector",
  "name":"Test Name",
  "auth_type":"username_password",
  "api_endpoint":"sftp://user:password@server_ip/path",
  "username":"user123",
  "password":"password123"
}
```

## Get authentication information <a href="#get-authentication-information" id="get-authentication-information"></a>

To list all auth, To update, PUT /v1/connector-auths/

To GET one: /v1/connector-auths/\*\*uuid4\*\*

## Delete authentication <a href="#delete-authentication" id="delete-authentication"></a>

DELETE: /v1/connector-auths/\*\*uuid4\*\*

## Limiting access via permissions <a href="#limiting-access-via-permissions" id="limiting-access-via-permissions"></a>

You can easily limit the permissions of connector auth e.g. for only one user to be visible in order make storing most secure.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.locoia.com/api/create-connector-authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
